Bug 841045 - advisoryInfo-plain.xhtml is missing parameters on the repo-plain.xhtml link
advisoryInfo-plain.xhtml is missing parameters on the repo-plain.xhtml link
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.3
Unspecified Unspecified
high Severity high (vote)
: ---
: RHQ 4.5.0
Assigned To: Mike Thompson
Mike Foley
:
Depends On:
Blocks: 841049
  Show dependency treegraph
 
Reported: 2012-07-17 20:48 EDT by James Livingston
Modified: 2016-02-21 19:56 EST (History)
3 users (show)

See Also:
Fixed In Version: 4.5.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 841049 (view as bug list)
Environment:
Last Closed: 2013-09-01 05:57:05 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
fix (900 bytes, patch)
2012-07-17 20:52 EDT, James Livingston
no flags Details | Diff

  None (edit)
Description James Livingston 2012-07-17 20:48:20 EDT
advisoryInfo-plain.xhtml has a <h:outputLink>  pointing to repo-plain.xhtml which does not include the "id" parameter, which results in an error when the link is followed:
  Error reading 'percentComplete' on type org.rhq.enterprise.gui.content.RepoDetailsUIBean


The fix is simply to add the missing parameters
Comment 1 James Livingston 2012-07-17 20:52:59 EDT
Created attachment 598769 [details]
fix

Trivial fix, confirmed working by customer against JON 3.1
Comment 2 Charles Crouch 2012-08-02 16:52:13 EDT
Making this bug target RHQ4.5, will use Bug 841049 for the JON311 target
Comment 3 Mike Thompson 2012-08-03 10:38:36 EDT
I applied James patch to master commit id: 970715c

I was unable to test this as I cannot find the advisory pages and reproduction steps are missing. Discussed with the group and will check in patch anyway. The patch will not be picked to JON 3.1.1 until test steps are confirmed.
Comment 4 James Livingston 2012-08-05 18:42:15 EDT
That's an area of JON I don't know well, so I'm not sure how to get there in the UI. Basically you need to view an advisory (advisoryInfo-plain) and then follow the link to the repo it's from.

The bug was fairly obvious, so was easy to fix without being able to test it.
Comment 5 Heiko W. Rupp 2013-09-01 05:57:05 EDT
Bulk closing of items that are on_qa and in old RHQ releases, which are out for a long time and where the issue has not been re-opened since.

Note You need to log in before you can comment on or make changes to this bug.